For the complete documentation index, see llms.txt. This page is also available as Markdown.

Whitelist

List whitelists

get

List whitelists in the same workspace.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1 · max: 9007199254740991Optional

Which page to fetch

Default: 1
pageSizeinteger · min: 1 · max: 30Optional

Page size to use

Default: 30
statusstring · enumOptional

Whitelist status

Possible values:
sortBystring · enumOptional

Sort by attribute

Default: createdAtPossible values:
sortOrderstring · enumOptional

Sort order

Default: ascPossible values:
currencyany ofOptional

Filter whitelists by the currency of the addresses they hold

string[]Optional

Only return whitelists holding at least one address in any of these currencies

or
string · min: 1 · max: 40Optional

Only return whitelists holding at least one address in this currency

Pattern: ^\w+$
searchstring · min: 3 · max: 200Optional

Case-insensitive substring search over the whitelist label and its address values and labels.

Responses
200

Successful response

application/json
pagenumberRequired

Current page

nextnumber · nullableRequired

Next page or null if there is none

prevnumber · nullableRequired

Previous page or null if there is none

pageSizenumberRequired

Max count of items per page

totalnumberRequired

Total count of items

get/whitelists
GET /rest/whitelists HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "page": 1,
  "next": 1,
  "prev": 1,
  "pageSize": 1,
  "total": 1,
  "results": [
    {
      "id": "text",
      "legacyId": 1,
      "name": "text",
      "type": "TRANSACTION",
      "status": "ACTIVE",
      "addresses": [
        {
          "name": "text",
          "currency": "text",
          "address": "text",
          "destinationTag": "text"
        }
      ],
      "addressCount": 1,
      "createdAt": "text",
      "updatedAt": "text",
      "description": "text"
    }
  ]
}

Get a single whitelist

get

Find a whitelist by ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

Id of the target whitelist

Responses
200

Successful response

application/json

Whitelist

idstringRequired

Internal unique identifier

legacyIdnumberRequired

Legacy internal unique identifier (for retro-compatibility)

namestringRequired

Whitelist name

typestring · enumRequired

Whitelist usage type

Possible values:
statusstring · enumRequired

Whitelist status

Possible values:
addressCountinteger · max: 9007199254740991Required

Number of addresses (entries) held by the whitelist

createdAtstringRequired

Creation timestamp

updatedAtstringRequired

Last modification timestamp

descriptionstring · nullableRequired

Whitelist description

get/whitelists/{id}
GET /rest/whitelists/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "legacyId": 1,
  "name": "text",
  "type": "TRANSACTION",
  "status": "ACTIVE",
  "addresses": [
    {
      "name": "text",
      "currency": "text",
      "address": "text",
      "destinationTag": "text"
    }
  ],
  "addressCount": 1,
  "createdAt": "text",
  "updatedAt": "text",
  "description": "text"
}

List whitelist's addresses

get

List addresses in a whitelist.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
whitelistIdstringRequired

Id of the target whitelist

Query parameters
pageinteger · min: 1 · max: 9007199254740991Optional

Which page to fetch

Default: 1
pageSizeinteger · min: 1 · max: 30Optional

Page size to use

Default: 30
sortBystring · enumOptional

Sort by attribute

Default: namePossible values:
sortOrderstring · enumOptional

Sort order

Default: ascPossible values:
currencyany ofOptional

Filter the whitelist's addresses by currency

string[]Optional

Only return addresses in any of these currencies

or
string · min: 1 · max: 40Optional

Only return addresses in this currency

Pattern: ^\w+$
searchstring · min: 3 · max: 200Optional

Case-insensitive substring search over the whitelist's addresses values and labels.

Responses
200

Successful response

application/json
pagenumberRequired

Current page

nextnumber · nullableRequired

Next page or null if there is none

prevnumber · nullableRequired

Previous page or null if there is none

pageSizenumberRequired

Max count of items per page

totalnumberRequired

Total count of items

get/whitelists/{whitelistId}/addresses
GET /rest/whitelists/{whitelistId}/addresses HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "page": 1,
  "next": 1,
  "prev": 1,
  "pageSize": 1,
  "total": 1,
  "results": [
    {
      "name": "text",
      "currency": "text",
      "address": "text",
      "destinationTag": "text"
    }
  ]
}

Last updated